# 69. Mutasjon: Slett «Photo»

Slett det valgte "Foto".

{% hint style="info" %}
Du må være eier for å slette et bilde.
{% endhint %}

"Fotoet" kan være koblet enten til "Notat" eller "Kommentar". Derfor er det obligatorisk å kontrollere attributtene uuid, noteUuid og commentUuid i svaret.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation DeleteNotePhotoSample {
  deletePhoto(input: {
    uuid: "<placeholder_for_photo_uuid>"
    noteUuid: "<placeholder_for_note_uuid>"
  }) {
    uuid
    noteUuid
    url
    opprettetDato
    updatedDate
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation DeleteCommentPhotoSample {
  deletePhoto(input: {
    uuid: "<placeholder_for_photo_uuid>"
    noteUuid: "<placeholder_for_note_uuid>"
    commentUuid: "<placeholder_for_comment_uuid>"
  }) {
    uuid
    noteUuid
    commentUuid
    url
    opprettetDato
    updatedDate
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/69.-mutasjon-slett-photo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
